Bug 6573 - samba-common broken dependencies on shadow-utils
: samba-common broken dependencies on shadow-utils
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/samba-common)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-19 17:51 by
Modified: 2005-09-04 23:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-19 17:51:55
[novikov@novikov novikov]$ rpm -q samba-common
samba-common-3.0.10-alt0.M24.1

[novikov@novikov novikov]$ rpm -q --scripts samba-common
preinstall scriptlet (through /bin/sh):
if [ $1 -gt 1 ] ; then
    smbstopped=$(/sbin/service smb status|grep stopped)
    wnbstopped=$(/sbin/service winbind status|grep stopped)
    [ -n "$smbstopped" ] || /sbin/service smb stop
    [ -n "$wnbstopped" ] || /sbin/service winbind stop
    [ -n "$smbstopped" ] || touch /var/lib/samba/smbstopped
    [ -n "$wnbstopped" ] || touch /var/lib/samba/wnbstopped
fi
/usr/sbin/groupadd -r -f winbind &>/dev/null
^^^^^^^^^^^^^^^^^^
------- Comment #1 From 2005-04-19 17:58:57 -------
Да и "&>/dev/null" лишний.
------- Comment #2 From 2005-04-20 18:51:44 -------
Fixed in 3.0.14a-alt2